API

Search (GET)

GET
/v1/search

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

q*string

The search query

max_results?string
search_depth?string
freshness?string
country?string
start_date?string
end_date?string
include_domains?string

Repeat the parameter or pass a comma-separated list

exclude_domains?string

Repeat the parameter or pass a comma-separated list

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search?q=string"
{  "request_id": "string",  "query": "string",  "results": [    {      "type": "organic",      "position": -9007199254740991,      "title": "string",      "url": "string",      "domain": "string",      "content": "string",      "extra_snippets": [        "string"      ],      "raw_content": "string",      "published_date": "string",      "favicon": "string",      "disclosure": "string",      "rec_id": "string",      "incentive": {        "kind": "credit",        "code": "string",        "benefit": "string"      }    }  ],  "response_time_ms": 0,  "meta": {    "sponsored_count": 0,    "result_count": 0  }}